Skip to main content
GET
/
v1
/
runs
Get Runs V2
curl --request GET \
  --url https://api.skyvern.com/v1/runs
[
  {
    "task_run_id": "<string>",
    "run_id": "<string>",
    "task_run_type": "<string>",
    "status": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "title": "<string>",
    "started_at": "2023-11-07T05:31:56Z",
    "finished_at": "2023-11-07T05:31:56Z",
    "workflow_permanent_id": "<string>",
    "script_run": false
  }
]

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Query Parameters

page
integer
default:1
Required range: 1 <= x <= 100
page_size
integer
default:10
Required range: 1 <= x <= 100
status
enum<string>[] | null
Available options:
created,
queued,
running,
timed_out,
failed,
terminated,
completed,
canceled
search_key
string | null

Case-insensitive substring search (min 3 chars for trigram index).

Minimum string length: 3
Example:

"login_url"

Response

Successful Response

task_run_id
string
required
run_id
string
required
task_run_type
string
required
status
string
required
created_at
string<date-time>
required
title
string | null
started_at
string<date-time> | null
finished_at
string<date-time> | null
workflow_permanent_id
string | null
script_run
boolean
default:false